import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.github.searchCommits({
sort: "best-match",
order: "desc",
count: 10,
page: 1,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/github/search-commits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"owners": [
"<string>"
],
"repos": [
"<string>"
],
"author": "<string>",
"committer": "<string>",
"authoredDate": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"committedDate": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"hash": "<string>",
"merge": true,
"sort": "best-match",
"order": "desc",
"count": 10,
"page": 1
}
'import requests
url = "https://api.bridgly.app/github/search-commits"
payload = {
"query": "<string>",
"owners": ["<string>"],
"repos": ["<string>"],
"author": "<string>",
"committer": "<string>",
"authoredDate": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"committedDate": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"hash": "<string>",
"merge": True,
"sort": "best-match",
"order": "desc",
"count": 10,
"page": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
owners: ['<string>'],
repos: ['<string>'],
author: '<string>',
committer: '<string>',
authoredDate: {gt: '2023-12-25', gte: '2023-12-25', lt: '2023-12-25', lte: '2023-12-25'},
committedDate: {gt: '2023-12-25', gte: '2023-12-25', lt: '2023-12-25', lte: '2023-12-25'},
hash: '<string>',
merge: true,
sort: 'best-match',
order: 'desc',
count: 10,
page: 1
})
};
fetch('https://api.bridgly.app/github/search-commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timeMs": 123,
"creditsCost": 123,
"data": {
"query": "<string>",
"totalCount": 123,
"commits": [
{
"sha": "<string>",
"message": "<string>",
"url": "<string>",
"apiUrl": "<string>",
"author": {
"name": "<string>",
"email": "<string>",
"date": "<string>"
},
"authorLogin": "<string>",
"committer": {
"name": "<string>",
"email": "<string>",
"date": "<string>"
},
"committerLogin": "<string>",
"commentCount": 123,
"repository": {
"id": 123,
"nodeId": "<string>",
"name": "<string>",
"fullName": "<string>",
"ownerLogin": "<string>",
"url": "<string>",
"isPrivate": true
}
}
],
"nextPage": 123
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Search commits across public GitHub repositories
import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.github.searchCommits({
sort: "best-match",
order: "desc",
count: 10,
page: 1,
});
if (res.type === 'success') console.log(res.data);Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
Free-text search terms, matched against the default fields for this search type, e.g. "web framework".
Limit to these owners (users or orgs). Maps to user:.
Limit to these "owner/name" repositories. Maps to repo:.
Commits authored by this GitHub user. Maps to author:.
Commits committed by this GitHub user. Maps to committer:.
Filter by author date. Provide any of gt / gte / lt / lte as YYYY-MM-DD dates; combine a lower and upper bound for a range.
Show child attributes
Show child attributes
Filter by commit date. Provide any of gt / gte / lt / lte as YYYY-MM-DD dates; combine a lower and upper bound for a range.
Show child attributes
Show child attributes
Commits with this SHA (or prefix). Maps to hash:.
Only merge commits (true) or exclude them (false). Maps to merge:.
Sort field. Defaults to relevance ("best-match").
best-match, author-date, committer-date Sort direction. Defaults to "desc".
desc, asc Number of results per page (1–10). Defaults to 10.
1 <= x <= 101-based page number. Defaults to 1.
1 <= x <= 9007199254740991Was this page helpful?